Crear plan de crédito
curl --request POST \
--url https://api.finup.ar/api/credit-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.finup.ar/api/credit-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/credit-configs"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_active": true,
"installments_count": 123,
"days_until_first_payment": 123,
"cut_type": "fixed",
"daily_punitory_rate": 123,
"interest_rate": 123,
"payment_day": 123,
"grace_days": 123,
"punitory_mode": "simple_outstanding",
"max_punitory_days": 123,
"punitory_cap_pct": 123,
"write_off_days": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Configuraciones
Crear plan de crédito
Requiere acceso total.
POST
https://api.finup.ar
/
api
/
credit-configs
Crear plan de crédito
curl --request POST \
--url https://api.finup.ar/api/credit-configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.finup.ar/api/credit-configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/credit-configs"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"is_active": true,
"installments_count": 123,
"days_until_first_payment": 123,
"cut_type": "fixed",
"daily_punitory_rate": 123,
"interest_rate": 123,
"payment_day": 123,
"grace_days": 123,
"punitory_mode": "simple_outstanding",
"max_punitory_days": 123,
"punitory_cap_pct": 123,
"write_off_days": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
API key del negocio enviada como Authorization: Bearer <clave>. El alcance read solo permite métodos seguros (GET/HEAD/OPTIONS); full permite además escribir.
Body
application/json
Required range:
1 <= x <= 12Required range:
x >= 0Available options:
fixed, monthly Required range:
x >= 0Required range:
x >= 0Required range:
1 <= x <= 28Required range:
x >= 0Available options:
simple_outstanding, compound, full_amount Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Response
Configuración creada.
Available options:
fixed, monthly Available options:
simple_outstanding, compound, full_amount 